al_init_native_dialog_addon(3)

NAME

al_init_native_dialog_addon - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    bool al_init_native_dialog_addon(void)

DESCRIPTION

Initialise the native dialog addon.

Returns true on success, false on error.

SINCE

5.0.9, 5.1.0

    Note: Prior to Allegro 5.1.0 native dialog functions could be called without explicit initialisation, but that is now deprecated. Future functionality may require explicit initialisation. An exception is al_show_native_message_box(3), which may be useful to show an error message if Allegro fails to initialise.

SEE ALSO

al_shutdown_native_dialog_addon(3)